% \documentclass[noanswers, nolegalese, 11pt]{examjh}
\documentclass[answers, nolegalese]{examjh}
\usepackage{../../../computingfonts}
\usepackage{../../../contentmacros}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{\sc MA 208, Theory of Computation\hfill Weekly Hand-in\hfill Due: 2021-Apr-02}
\vspace*{1ex}
\begin{center}
 \parbox{0.95\textwidth}{\textit{
  The work that you hand in must be entirely your own. 
  When you write this document, you may not work with anyone else,
  or copy material from the Internet, etc.
  You are of course allowed to use the text, the videos, or the notes
  or discussions from class.
  }}
\end{center}
\vspace*{1ex}

\begin{questions}
\question
Here, the second question depends on the first.
\begin{parts}
\part
Construct a deterministic Finite State machine that accepts a string
$\sigma\in\kleenestar{\set{\str{a},\str{b}}}$ if and only if it has
an odd number of \str{b}'s. 
\begin{solution}
The second part asks for the transition table, so that is the most convenient
form here.
\begin{center}
\begin{tabular}{r|*{2}{c}}
  \multicolumn{1}{r}{$\Delta$}
    &\multicolumn{1}{c}{\str{a}} &\multicolumn{1}{c}{\str{b}}  
  \\ \cline{2-3}  
  $q_0$ &$q_0$ &$q_1$  \\
  \acceptingstate{} $q_1$ &$q_1$ &$q_0$  \\
\end{tabular}
\end{center}
\end{solution}

\part
Construct the cross product of this machine with itself
(show at least the transition table), 
and arrange that it accepts the same language. 
\end{parts}
\begin{solution}
Here is the table.
\begin{center}
\begin{tabular}{r|*{2}{c}}
  \multicolumn{1}{r}{$\hat{\Delta}$}
    &\multicolumn{1}{c}{\str{a}} &\multicolumn{1}{c}{\str{b}}  
  \\ \cline{2-3}
  $(q_0,q_0)$ &$(q_0,q_0)$ &$(q_1,q_1)$  \\
  $(q_0,q_1)$ &$(q_0,q_1)$ &$(q_1,q_0)$  \\
  $(q_1,q_0)$ &$(q_1,q_0)$ &$(q_0,q_1)$  \\
  \acceptingstate{} $(q_1,q_1)$ &$(q_1,q_1)$ &$(q_0,q_0)$  \\
\end{tabular}  
\end{center}
This shows the accepting state for the intersection of the two
languages, $\lang\cap\lang$.
However, it doesn't matter whether we take the one for the union,
because the two middle lines of the table show unreachable states.
\end{solution}
\end{questions}
\end{document}